# use the official gcc image based on debian, see https://hub.docker.com/_/gcc/
image: gcc

build:
  stage: build
  # instead of calling g++ directly you can also use some build toolkit like make
  # install the necessary build tools when needed
  script:
    - make uendian
  artifacts:
    paths:
      - uendian

# run tests using the binary built before
test:
  stage: test
  script:
    - ./utest.sh
